Edje

Layout and theme library with super-powers. More...

## Topics

| Edje Audio
| Functions to manipulate audio abilities in edje.
| Edje General
| This group discusses functions that have general purposes or affect Edje as a whole.
| Edje External
| This group discusses functions of the external section of Edje.
| Edje Object
| This group discusses functions that deal with Edje layouts and its components.

## Typedefs

typedef struct _Edje_Perspective | Edje_Perspective
| Perspective info for maps inside edje objects.

## Enumerations

enum | Edje_Cursor { EDJE_CURSOR_MAIN = 0 , EDJE_CURSOR_SELECTION_BEGIN , EDJE_CURSOR_SELECTION_END , EDJE_CURSOR_PREEDIT_START , EDJE_CURSOR_PREEDIT_END , EDJE_CURSOR_USER , EDJE_CURSOR_USER_EXTRA }
| All available cursor states. More...
enum | Edje_Input_Hints { EDJE_INPUT_HINT_NONE = 0 , EDJE_INPUT_HINT_AUTO_COMPLETE = 1 , EDJE_INPUT_HINT_SENSITIVE_DATA = 2 }
| Input hints. More...

## Detailed Description

Layout and theme library with super-powers.

## Enumeration Type Documentation

## Edje_Cursor

enum Edje_Cursor

All available cursor states.

Enumerator
EDJE_CURSOR_MAIN | Main cursor state.
EDJE_CURSOR_SELECTION_BEGIN | Selection begin cursor state.
EDJE_CURSOR_SELECTION_END | Selection end cursor state.
EDJE_CURSOR_PREEDIT_START | Pre-edit start cursor state.
EDJE_CURSOR_PREEDIT_END | Pre-edit end cursor state.
EDJE_CURSOR_USER | User cursor state.
EDJE_CURSOR_USER_EXTRA | User extra cursor state.

## Edje_Input_Hints

enum Edje_Input_Hints

Input hints.

Enumerator

EDJE_INPUT_HINT_NONE

No active hints.

                        @since 1.12

EDJE_INPUT_HINT_AUTO_COMPLETE

Suggest word auto completion.

Since
  1.12

EDJE_INPUT_HINT_SENSITIVE_DATA

Typed text should not be stored.

Since
  1.12